2020-02-11 20:38:36 UTC
43.8 MB
1.7.0
HASHICORP_RELEASEShttps://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:fd25584d30bfc37afa2d99f41ef0a7055a4f2923907582dd992194fb4aa13f1c - 6.02% (2.64 MB)
[#001] sha256:71c5000e3bfce2f2b64b6d0ad7a02d7a0cdcfb8bbfd42cd2224ef70f22efd24d - 0.0% (1.23 KB)
[#002] sha256:3e0f8d8d7ccb9759612a3bb69775639a82eb7e83f9e0f6756840f8825df66b2e - 93.97% (41.2 MB)
[#003] sha256:3948650332ea9791f5859f9413d924a02be103daa41c015600eabb5316519d5d - 0.0% (142 Bytes)
[#004] sha256:f9832e8dfdbc8648a3c22efb0248fdd50b813f3957a6539ad4515e53e620aa1a - 0.0% (153 Bytes)
[#005] sha256:a3ee2124bb72e0339af720dab1637eb5f3278ca7f51f8afddafe5ffdc4fb5b98 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:4e7195ad2b3e9b85e4596b4a73719eb294f2a293a05b7b8e6096c4cfac0c6fde in /
2020-01-23 16:53:05 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2020-01-23 17:57:03 UTC/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>
2020-02-11 20:38:27 UTC/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0
2020-02-11 20:38:27 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2020-02-11 20:38:28 UTC/bin/sh -c addgroup consul && adduser -S -G consul consul
2020-02-11 20:38:34 UTC/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2020-02-11 20:38:34 UTC/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2020-02-11 20:38:35 UTC/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2020-02-11 20:38:35 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2020-02-11 20:38:35 UTC/bin/sh -c #(nop) EXPOSE 8300
2020-02-11 20:38:36 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2020-02-11 20:38:36 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2020-02-11 20:38:36 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2020-02-11 20:38:36 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2020-02-11 20:38:36 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2020-02-11 21:19:36 UTC
45 MB
1.7.0
HASHICORP_RELEASEShttps://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9123ac7c32f74759e6283f04dbf571f18246abe5bb2c779efcb32cd50f3ff13c - 5.86% (2.64 MB)
[#001] sha256:dc9a6592585930d8cf894ca41cf037508a7114bf166d05059e03ceaa7b37e5fe - 0.0% (1.23 KB)
[#002] sha256:a9fef79731afff13cb8456d87f674d2dd84a665d6b442d483d69b389443c5eea - 94.13% (42.3 MB)
[#003] sha256:8d7a443e38886b8827d7895c8ec0e2173597b8c0307ac7c41a64252b83612f07 - 0.0% (142 Bytes)
[#004] sha256:4557d0c5f93984313abef4a72e0972343c1c51544793b86e4764ee44cb9b9f73 - 0.0% (155 Bytes)
[#005] sha256:4b88d78010e449881c8c61d83ed654b87797be3d5227dda10b0ba1172b0cf7da - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:f4f85ec73d7cc949662413419f8eafb31dabaa6e12cd21b7c8d5a9ef0d5b9681 in /
2020-01-23 16:53:17 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2020-01-23 17:15:11 UTC/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>
2020-02-11 21:19:27 UTC/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0
2020-02-11 21:19:27 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2020-02-11 21:19:28 UTC/bin/sh -c addgroup consul && adduser -S -G consul consul
2020-02-11 21:19:33 UTC/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2020-02-11 21:19:34 UTC/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2020-02-11 21:19:35 UTC/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2020-02-11 21:19:35 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2020-02-11 21:19:35 UTC/bin/sh -c #(nop) EXPOSE 8300
2020-02-11 21:19:35 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2020-02-11 21:19:35 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2020-02-11 21:19:36 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2020-02-11 21:19:36 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2020-02-11 21:19:36 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2020-02-11 20:49:50 UTC
42.3 MB
1.7.0
HASHICORP_RELEASEShttps://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:1c8737e28b1ca4452315b0127f7c6f4ad64f0c4695a3b52b1a4a3d2d17d3bbd5 - 5.74% (2.43 MB)
[#001] sha256:9c0e9fc62c49a56beb1abbc8c41a633b96d7b7406556d42cc698f2dcb2d92d19 - 0.0% (1.25 KB)
[#002] sha256:ed907b9bbad699c9b67f210d024c5f408d113f108e115f6d4b2104047b2532a9 - 94.25% (39.9 MB)
[#003] sha256:319c4605476f739734db4e0e762c8278a071b4e56936262d60e4d7bd8f87a2a5 - 0.0% (174 Bytes)
[#004] sha256:9fca4a86abdeea93e77b72970c2ad8547d7c705b0806728b5c6ce15b6b4fa56a - 0.0% (153 Bytes)
[#005] sha256:bc3f9485b0b89caabb766c19b965d2faca4ea34758ae7b359942c857622bb952 - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:7e840db4b1f91900bcc3693359908c82f531fc44027d4d5327ef598e8710ed0f in /
2020-01-23 16:53:40 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2020-01-23 17:12:38 UTC/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>
2020-02-11 20:49:28 UTC/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0
2020-02-11 20:49:28 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2020-02-11 20:49:31 UTC/bin/sh -c addgroup consul && adduser -S -G consul consul
2020-02-11 20:49:41 UTC/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2020-02-11 20:49:43 UTC/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2020-02-11 20:49:45 UTC/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2020-02-11 20:49:46 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2020-02-11 20:49:47 UTC/bin/sh -c #(nop) EXPOSE 8300
2020-02-11 20:49:48 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2020-02-11 20:49:48 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2020-02-11 20:49:49 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2020-02-11 20:49:49 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2020-02-11 20:49:50 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2020-02-11 20:40:10 UTC
40.5 MB
1.7.0
HASHICORP_RELEASEShttps://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:eb93038481ddcf86a625b70f7551cdc583e38886f206fe7e40ad644008efa815 - 6.34% (2.57 MB)
[#001] sha256:542328a04997cff912fcf345d82dc5be43912d6b8a78332ead6132867f611f63 - 0.0% (1.25 KB)
[#002] sha256:5a969d207f4e23f895d237df52d9d4a3a222bc345dd436e7700239744e68fc67 - 93.65% (37.9 MB)
[#003] sha256:fc4ba9df6de7e915ffb1b73b6e4ce77f52aa05f33be4680823f7d4d553ecfb57 - 0.0% (174 Bytes)
[#004] sha256:73499e373e2bbbdf3c8334826ca5b953df0f673b77bbaa44ead865ef05c29c13 - 0.0% (155 Bytes)
[#005] sha256:61771603b741af79dbb1ff6307405888775ea8038bc1a67b2ce82e321e3e803a - 0.0% (1.67 KB)
/bin/sh -c #(nop) ADD file:92767b5525acd9dbf8657931d32bdcc7cc504cdc33c95e84a75e478b00569bab in /
2020-01-23 16:54:59 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2020-01-23 17:19:49 UTC/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>
2020-02-11 20:39:53 UTC/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.0
2020-02-11 20:39:53 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2020-02-11 20:39:55 UTC/bin/sh -c addgroup consul && adduser -S -G consul consul
2020-02-11 20:40:02 UTC/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2020-02-11 20:40:04 UTC/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2020-02-11 20:40:06 UTC/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2020-02-11 20:40:07 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2020-02-11 20:40:07 UTC/bin/sh -c #(nop) EXPOSE 8300
2020-02-11 20:40:08 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2020-02-11 20:40:08 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2020-02-11 20:40:09 UTC/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh
2020-02-11 20:40:09 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2020-02-11 20:40:10 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]